JS error when click 'Edit image' in TinyMCE editor

Bug #1618317 reported by Son Nguyen on 2016-08-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
16.04
High
Unassigned

Bug Description

Version: master(16.10)

I got the following javascript error when edit an external image link via TinyMCE

plugin.js?v=9174:37 Uncaught TypeError: Cannot read property '0' of null

Steps

1. Login as an user
2. In the Prodfile/Introduction, click 'Insert/edit image' button in TinyMCE editor
3. Add a link to an image: https://mahara.org/theme/mahara-org/static/images/site-logo.png
4. Click Submit
5. Select the image
6. Click 'Insert/edit image' button

Expected result: you should see the pop-up 'Insert or select an image'

Actual
 - you see the above error in browser console
 - No pop-up appears
 - The browser scroll bar disappears

Son Nguyen (ngson2000) wrote :

This bug also happens in 16.04

Changed in mahara:
milestone: none → 16.10.0
Son Nguyen (ngson2000) on 2016-08-30
Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/6905
Committed: https://git.mahara.org/mahara/mahara/commit/e99d7b5063cfe47b16f8fabc30c2e0fd0afa9cd0
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit e99d7b5063cfe47b16f8fabc30c2e0fd0afa9cd0
Author: Son Nguyen <email address hidden>
Date: Wed Aug 31 08:21:29 2016 +1200

Bug 1618317: Validate urlquerystr before parsing

Also update the tinymce/README.Mahara as TinyMCE imagebrowser plugin
is a part of mahara

behatnotneeded

Change-Id: Ie6d3aa1bf80db9f9d52e3373bf407ab6bf8cafad

Reviewed: https://reviews.mahara.org/7102
Committed: https://git.mahara.org/mahara/mahara/commit/7fe94c02a464951a1aadd067751a5e48e6692df9
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 7fe94c02a464951a1aadd067751a5e48e6692df9
Author: Son Nguyen <email address hidden>
Date: Wed Aug 31 08:21:29 2016 +1200

Bug 1618317: Validate urlquerystr before parsing

Also update the tinymce/README.Mahara as TinyMCE imagebrowser plugin
is a part of mahara

behatnotneeded

Change-Id: Ie6d3aa1bf80db9f9d52e3373bf407ab6bf8cafad
(cherry picked from commit e99d7b5063cfe47b16f8fabc30c2e0fd0afa9cd0)

Robert Lyon (robertl-9) on 2016-10-09
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/7103
Committed: https://git.mahara.org/mahara/mahara/commit/c224115f7f548d900255e350fc083003c41e1671
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit c224115f7f548d900255e350fc083003c41e1671
Author: Son Nguyen <email address hidden>
Date: Wed Aug 31 08:21:29 2016 +1200

Bug 1618317: Validate urlquerystr before parsing

Also update the tinymce/README.Mahara as TinyMCE imagebrowser plugin
is a part of mahara

behatnotneeded

Change-Id: Ie6d3aa1bf80db9f9d52e3373bf407ab6bf8cafad
(cherry picked from commit e99d7b5063cfe47b16f8fabc30c2e0fd0afa9cd0)
(cherry picked from commit 7fe94c02a464951a1aadd067751a5e48e6692df9)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers